Firefox 4.0 Beta 6 Rated 3 out of 5 stars

Unfortunately, it doesn't work with 4.0 Beta 6.